View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17826Bug reportsSurvey participants (Tokens)public2022-02-01 13:55
Reporterbbraeuer Assigned Togabrieljenik  
PriorityhighSeverityblock 
Status closedResolutionfixed 
Product Version5.2.x 
Summary17826: Edit survey participant save & close leads to JSON error
Description

Edit survey participant save & close leads to JSON error

Steps To Reproduce

Steps to reproduce

Editing an survey participant
Press "Save and close"

Expected result

Come back to survey participant overview

Actual result

White page with JSON-Message:
{"ajaxHelper":true,"success":"The survey participant was successfully updated.","result":null,"error":null,"loggedIn":true,"hasPermission":true,"noPermissionText":"No permission"}

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)5.2.8+220103
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL 5.6.51
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.24-0ubuntu0.18.04.10

Users monitoring this issue

User List DenisChenu

Activities

bbraeuer

bbraeuer

2022-01-10 10:10

reporter  

gabrieljenik

gabrieljenik

2022-01-14 14:23

manager   ~68014

Can I ask you to review how to reproduce this error?
There is no "save and close" for editing as editing happens on a modal.

gabrieljenik

gabrieljenik

2022-01-14 15:00

manager   ~68016

This happens after creating a participant and hitting save. Then you get to the edit participant screen as full.

bbraeuer

bbraeuer

2022-01-14 15:03

reporter   ~68019

Right, you found out before me :-)

gabrieljenik

gabrieljenik

2022-01-27 12:45

manager   ~68130

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2220

gabrieljenik

gabrieljenik

2022-01-28 10:57

manager   ~68135

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33128

Related Changesets

LimeSurvey: master 69d7f63d

2022-01-28 10:57:17

gabrieljenik


Committer: GitHub Details Diff
Fix 17826: Edit survey participant save & close leads to JSON error (#2220)

* Fix 17826: Edit survey participant save & close leads to JSON error

* Fix 17826: Edit survey participant save & close leads to JSON error

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17826
mod - application/controllers/admin/tokens.php Diff File
mod - tests/functional/backend/NoGreenBarTest.php Diff File

Issue History

Date Modified Username Field Change
2022-01-10 10:10 bbraeuer New Issue
2022-01-10 10:10 bbraeuer File Added: Bildschirmfoto 2022-01-10 um 10.03.37.png
2022-01-10 10:25 DenisChenu Issue Monitored: DenisChenu
2022-01-10 10:25 DenisChenu Bug heat 0 => 2
2022-01-10 12:23 ollehar Severity minor => block
2022-01-10 12:24 ollehar Priority none => high
2022-01-10 12:24 ollehar Zoho Project Synchronization => |Yes|
2022-01-14 14:23 gabrieljenik Note Added: 68014
2022-01-14 14:23 gabrieljenik Bug heat 2 => 4
2022-01-14 15:00 gabrieljenik Note Added: 68016
2022-01-14 15:03 bbraeuer Note Added: 68019
2022-01-14 15:03 bbraeuer Bug heat 4 => 6
2022-01-27 12:45 gabrieljenik Note Added: 68130
2022-01-28 10:57 gabrieljenik Changeset attached => LimeSurvey master 69d7f63d
2022-01-28 10:57 gabrieljenik Note Added: 68135
2022-01-28 10:57 gabrieljenik Assigned To => gabrieljenik
2022-01-28 10:57 gabrieljenik Resolution open => fixed
2022-02-01 13:55 galads Status new => closed